Package org.jbpm.marshalling.impl

## Class JBPMMessages

- java.lang.Object
- - org.jbpm.marshalling.impl.JBPMMessages

-     public final class JBPMMessages
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `JBPMMessages.IterationLevel` | Protobuf type `org.jbpm.marshalling.IterationLevel`
    `static interface` | `JBPMMessages.IterationLevelOrBuilder` |
    `static class` | `JBPMMessages.ProcessInstance` | Protobuf type `org.jbpm.marshalling.ProcessInstance`
    `static interface` | `JBPMMessages.ProcessInstanceOrBuilder` |
    `static class` | `JBPMMessages.ProcessTimer` | Protobuf type `org.jbpm.marshalling.ProcessTimer`
    `static interface` | `JBPMMessages.ProcessTimerOrBuilder` |
    `static class` | `JBPMMessages.Variable` | Protobuf type `org.jbpm.marshalling.Variable`
    `static class` | `JBPMMessages.VariableContainer` | Protobuf type `org.jbpm.marshalling.VariableContainer`
    `static interface` | `JBPMMessages.VariableContainerOrBuilder` |
    `static interface` | `JBPMMessages.VariableOrBuilder` |
    `static class` | `JBPMMessages.WorkItem` | Protobuf type `org.jbpm.marshalling.WorkItem`
    `static interface` | `JBPMMessages.WorkItemOrBuilder` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `PROC_TIMER_FIELD_NUMBER` |
    `static int` | `PROCESS_INSTANCE_FIELD_NUMBER` |
    `static int` | `PROCESS_TIMER_FIELD_NUMBER` |
    `static com.google.protobuf.GeneratedMessage.GeneratedExtension<org.drools.serialization.protobuf.ProtobufMessages.ProcessData,​List<JBPMMessages.ProcessInstance>>` | `processInstance` | `extend .org.drools.serialization.protobuf.ProcessData { ... }`
    `static com.google.protobuf.GeneratedMessage.GeneratedExtension<org.drools.serialization.protobuf.ProtobufMessages.ProcessData,​List<JBPMMessages.ProcessTimer>>` | `processTimer` | `extend .org.drools.serialization.protobuf.ProcessData { ... }`
    `static com.google.protobuf.GeneratedMessage.GeneratedExtension<org.drools.serialization.protobuf.ProtobufMessages.Timers.Timer,​JBPMMessages.ProcessTimer>` | `procTimer` | `extend .org.drools.serialization.protobuf.Timers.Timer { ... }`
    `static int` | `TIMER_ID_FIELD_NUMBER` |
    `static com.google.protobuf.GeneratedMessage.GeneratedExtension<org.drools.serialization.protobuf.ProtobufMessages.ProcessData,​Long>` | `timerId` | `extend .org.drools.serialization.protobuf.ProcessData { ... }`
    `static int` | `WORK_ITEM_FIELD_NUMBER` |
    `static com.google.protobuf.GeneratedMessage.GeneratedExtension<org.drools.serialization.protobuf.ProtobufMessages.ProcessData,​List<JBPMMessages.WorkItem>>` | `workItem` | `extend .org.drools.serialization.protobuf.ProcessData { ... }`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static com.google.protobuf.Descriptors.FileDescriptor` | `getDescriptor()` |
    `static void` | `registerAllExtensions​(com.google.protobuf.ExtensionRegistry registry)` |
    `static void` | `registerAllExtensions​(com.google.protobuf.ExtensionRegistryLite registry)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROCESS_INSTANCE_FIELD_NUMBER

          public static final int PROCESS_INSTANCE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### processInstance

          public static final com.google.protobuf.GeneratedMessage.GeneratedExtension<org.drools.serialization.protobuf.ProtobufMessages.ProcessData,​List<JBPMMessages.ProcessInstance>> processInstance

      `extend .org.drools.serialization.protobuf.ProcessData { ... }`

    - #### WORK_ITEM_FIELD_NUMBER

          public static final int WORK_ITEM_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### workItem

          public static final com.google.protobuf.GeneratedMessage.GeneratedExtension<org.drools.serialization.protobuf.ProtobufMessages.ProcessData,​List<JBPMMessages.WorkItem>> workItem

      `extend .org.drools.serialization.protobuf.ProcessData { ... }`

    - #### TIMER_ID_FIELD_NUMBER

          public static final int TIMER_ID_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### timerId

          public static final com.google.protobuf.GeneratedMessage.GeneratedExtension<org.drools.serialization.protobuf.ProtobufMessages.ProcessData,​Long> timerId

      `extend .org.drools.serialization.protobuf.ProcessData { ... }`

    - #### PROCESS_TIMER_FIELD_NUMBER

          public static final int PROCESS_TIMER_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### processTimer

          public static final com.google.protobuf.GeneratedMessage.GeneratedExtension<org.drools.serialization.protobuf.ProtobufMessages.ProcessData,​List<JBPMMessages.ProcessTimer>> processTimer

      `extend .org.drools.serialization.protobuf.ProcessData { ... }`

    - #### PROC_TIMER_FIELD_NUMBER

          public static final int PROC_TIMER_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### procTimer

          public static final com.google.protobuf.GeneratedMessage.GeneratedExtension<org.drools.serialization.protobuf.ProtobufMessages.Timers.Timer,​JBPMMessages.ProcessTimer> procTimer

      `extend .org.drools.serialization.protobuf.Timers.Timer { ... }`

  - ### Method Detail

    - #### registerAllExtensions

          public static void registerAllExtensions​(com.google.protobuf.ExtensionRegistryLite registry)

    - #### registerAllExtensions

          public static void registerAllExtensions​(com.google.protobuf.ExtensionRegistry registry)

    - #### getDescriptor

          public static com.google.protobuf.Descriptors.FileDescriptor getDescriptor()